Jump to song search results do not include songs not yet scanned for metadata

March 31, 2012 22:43 - carlos lopez

Status: Closed Start date: March 31, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: libaudgui Estimated time: 0.00 hour

Target version: 3.2.3   

Affects version: 3.2.2   

Description

Items on queue list are not indexed by the search engine filter until metadata is read

Steps to reproduce:

Options->Preferences->Playlist

Mark "Do not load metadata for songs until played"

Close audacious

Open with audacious a ramdom directory containing several mp3 files

Try to search some files  (pressing j)

Actual result: All files show on the jump to song dialog but no matter what you type on the search filter, it will ignore all file which

metadata was still not read (all in this case)

Expected result: All files show on the jump to song dialog and the search filter is able to "grep" them using the directory/filename

information until the metadata information can be added.

The same happens with audtty ncurses GUI.

I am using audacious 3.2.1 on Debian/sid

History

#1 - April 01, 2012 05:26 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Items on queue list are not indexed by the search engine until metadata is read to Allow searching by path/filename in search

tool

Currently the search tool only searches by metadata.  This is the intended behavior, not a bug.

#2 - April 01, 2012 05:27 - John Lindgren

- Category deleted (core)

#3 - April 01, 2012 05:28 - John Lindgren

- Category set to plugins/search tool

- Affects version  added

- Affects version deleted ()

#4 - April 02, 2012 01:15 - carlos lopez

John Lindgren wrote:

Currently the search tool only searches by metadata.  This is the intended behavior, not a bug.

 

I don't think this is true. Once audacious has read the file metadata and it indexes it, I can just search for it on the jump to song dialog using the
directory or file-name (any part of the path) and it just works.

#5 - April 02, 2012 22:04 - John Lindgren

carlos lopez wrote:

John Lindgren wrote:

Currently the search tool only searches by metadata.  This is the intended behavior, not a bug.

 

I don't think this is true. Once audacious has read the file metadata and it indexes it, I can just search for it on the jump to song dialog using the

directory or file-name (any part of the path) and it just works.

 

You are confusing the search tool and the jump to song dialog.  They are different.

#6 - April 02, 2012 22:25 - carlos lopez

Didn't know about any search tool other than the "jump to song" dialog.

I was talking all this time about the "jump to song" dialog (I am using winamp-like interface)

#7 - April 21, 2012 17:42 - John Lindgren

- Category deleted (plugins/search tool)

#8 - April 21, 2012 17:45 - John Lindgren

- Tracker changed from Feature to Bug

- Subject changed from Allow searching by path/filename in search tool to Jump to song search results do not include songs not yet scanned for

metadata

- Category set to libaudgui

- Status changed from New to Closed

- Target version set to 3.2.3

- % Done changed from 0 to 100

- Affects version 3.2.2 added

- Affects version deleted ()

I misunderstood the problem, it seems.  Should be fixed now:

https://github.com/audacious-media-player/audacious/commit/32c13a6573c04989c31c832de9f3c802b75b15ea
